com.genesyslab.wfm7.API.service.calendar760

## Class CalItemWarning

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar760.CalItemWarning

- All Implemented Interfaces:
    java.io.Serializable

      public class CalItemWarning
      extends java.lang.Object
      implements java.io.Serializable

  Calendar warning
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `agentID` Agent ID
    `private double` | `date` Item date
    `private int` | `item` Item type
    `private int` | `itemID` Item ID
    `private java.lang.String` | `warning` Warning text
    `private java.lang.String` | `warningID` Warning ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalItemWarning()`
    `CalItemWarning(int agentID, double date, int item, int itemID, java.lang.String warningID, java.lang.String warning)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAgentID()` Gets the agentID value for this CalItemWarning.
    `double` | `getDate()` Gets the date value for this CalItemWarning.
    `int` | `getItem()` Gets the item value for this CalItemWarning.
    `int` | `getItemID()` Gets the itemID value for this CalItemWarning.
    `java.lang.String` | `getWarning()` Gets the warning value for this CalItemWarning.
    `java.lang.String` | `getWarningID()` Gets the warningID value for this CalItemWarning.
    `int` | `hashCode()`
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalItemWarning.
    `void` | `setDate(double date)` Sets the date value for this CalItemWarning.
    `void` | `setItem(int item)` Sets the item value for this CalItemWarning.
    `void` | `setItemID(int itemID)` Sets the itemID value for this CalItemWarning.
    `void` | `setWarning(java.lang.String warning)` Sets the warning value for this CalItemWarning.
    `void` | `setWarningID(java.lang.String warningID)` Sets the warningID value for this CalItemWarning.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

      Agent ID

    - #### date

          private double date

      Item date

    - #### item

          private int item

      Item type

    - #### itemID

          private int itemID

      Item ID

    - #### warningID

          private java.lang.String warningID

      Warning ID

    - #### warning

          private java.lang.String warning

      Warning text

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalItemWarning

          public CalItemWarning()

    - #### CalItemWarning

          public CalItemWarning(int agentID,
                        double date,
                        int item,
                        int itemID,
                        java.lang.String warningID,
                        java.lang.String warning)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalItemWarning.
      Returns:
        agentID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalItemWarning.
      Parameters:
        `agentID` -

    - #### getDate

          public double getDate()

      Gets the date value for this CalItemWarning.
      Returns:
        date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalItemWarning.
      Parameters:
        `date` -

    - #### getItem

          public int getItem()

      Gets the item value for this CalItemWarning.
      Returns:
        item

    - #### setItem

          public void setItem(int item)

      Sets the item value for this CalItemWarning.
      Parameters:
        `item` -

    - #### getItemID

          public int getItemID()

      Gets the itemID value for this CalItemWarning.
      Returns:
        itemID

    - #### setItemID

          public void setItemID(int itemID)

      Sets the itemID value for this CalItemWarning.
      Parameters:
        `itemID` -

    - #### getWarningID

          public java.lang.String getWarningID()

      Gets the warningID value for this CalItemWarning.
      Returns:
        warningID

    - #### setWarningID

          public void setWarningID(java.lang.String warningID)

      Sets the warningID value for this CalItemWarning.
      Parameters:
        `warningID` -

    - #### getWarning

          public java.lang.String getWarning()

      Gets the warning value for this CalItemWarning.
      Returns:
        warning

    - #### setWarning

          public void setWarning(java.lang.String warning)

      Sets the warning value for this CalItemWarning.
      Parameters:
        `warning` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.